Subject: Re: [lojban] More on lojban programatic semantics: Strong typing and inferencing of types

From: Brook Conner <[email-masked]>
Date: Thu, 18 May 2000 14:39:56 -0400

lojbab cusku di'e
> Not really. The use of "la" means that I have some particular named
> "stokuot" in mind. It doesn't imply anything about anyone I am not
> discussing. The fact that I use "noi" means that I am presuming that the
> listener already has enough information to know who/what "la stokuot"
> refers to.

Hmm. Okay, I think I see. "noi" is providing additional information, but
you know what it is. "poi" is helping you identify it.

> > However, most PLs have
> >scoping rules that allow multiple things of the same name - the scoping
> >makes sure the referent of the name is always unambiguous.
> 
> The use of le or la by a Lojbanist means that he assumes that the referent
> is unambiguous to the listener, given context and previous knowledge. If
> it is not, then he needs to provide restrictive information to make it
> unambiguous

Got it. Part of the trick in devising a programmatic semantics is
determining *when* the programmer needs to provide more information -
what prior context and knowledge does the computer have to remove ambiguities?

> >On the other hand, "poi" implies that the characteristic named is an
> >*essential* aspect of the thing named - this is much closer to the
> >meaning of a type in a PL.
> 
> No. poi information need not be essential to the thing named.
> 
> John, who is the one sitting next to Jane, is my friend.
> 
> would use a poi clause in Lojban. It is not an essential aspect of John
> that he sits next to Jane, it merely is a useful way to point him
> out. 

Hmmm, okay. I'm projecting too much of my own prior knowledge of
programming languages onto lojban. Types in a PL *are* intrinsic, and
often absolutely essential.

> Having pointed him out, but noting that the light is dim, I could
> add. "John, who has red hair, is tall." and the clause here would be
> translated into Lojban with "noi" because you already know who John is, and
> this is just incidental information.

I think what was tripping me up was the word "incidental" - it implied
to me that it could be left out without changing the meaning of the
sentence. While this is true for a single sentence, it is not true for
a discourse - an incidental description of hair color must be consistent
with later descriptions of hair color. Whether the incidental is there
or not affects the truth values of later statements in the discourse.

Brook